package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * WtgTypeTemperatureDef对象 wtg_type_temperature_def
 *
 * @author hlf
 * @date 2022-01-10
 */
public class WtgTypeTemperatureDef extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wtgType;

    private Double hTemperature;

    private Double lTemperature;

    private Double reserve1;

    private Double reserve2;

    private Double reserve3;

    private Double reserve4;

    private Double reserve5;

    private Double reserve6;

    private Double reserve7;

    private Double reserve8;

    public void setWtgType(Long wtgType) {
        this.wtgType = wtgType;
    }

    public Long getWtgType() {
        return wtgType;
    }

    public void sethTemperature(Double hTemperature) {
        this.hTemperature = hTemperature;
    }

    public Double gethTemperature() {
        return hTemperature;
    }

    public void setlTemperature(Double lTemperature) {
        this.lTemperature = lTemperature;
    }

    public Double getlTemperature() {
        return lTemperature;
    }

    public void setReserve1(Double reserve1) {
        this.reserve1 = reserve1;
    }

    public Double getReserve1() {
        return reserve1;
    }

    public void setReserve2(Double reserve2) {
        this.reserve2 = reserve2;
    }

    public Double getReserve2() {
        return reserve2;
    }

    public void setReserve3(Double reserve3) {
        this.reserve3 = reserve3;
    }

    public Double getReserve3() {
        return reserve3;
    }

    public void setReserve4(Double reserve4) {
        this.reserve4 = reserve4;
    }

    public Double getReserve4() {
        return reserve4;
    }

    public void setReserve5(Double reserve5) {
        this.reserve5 = reserve5;
    }

    public Double getReserve5() {
        return reserve5;
    }

    public void setReserve6(Double reserve6) {
        this.reserve6 = reserve6;
    }

    public Double getReserve6() {
        return reserve6;
    }

    public void setReserve7(Double reserve7) {
        this.reserve7 = reserve7;
    }

    public Double getReserve7() {
        return reserve7;
    }

    public void setReserve8(Double reserve8) {
        this.reserve8 = reserve8;
    }

    public Double getReserve8() {
        return reserve8;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wtgType", getWtgType())
                .append("hTemperature", gethTemperature())
                .append("lTemperature", getlTemperature())
                .append("reserve1", getReserve1())
                .append("reserve2", getReserve2())
                .append("reserve3", getReserve3())
                .append("reserve4", getReserve4())
                .append("reserve5", getReserve5())
                .append("reserve6", getReserve6())
                .append("reserve7", getReserve7())
                .append("reserve8", getReserve8())
                .toString();
    }
}
